package cn.superdesk.uniorder.dao.mapper.accounting.unified.supplier;

import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplier;
import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplierExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AccountingUnifiedSupplierMapper {
    long countByExample(AccountingUnifiedSupplierExample example);

    int deleteByExample(AccountingUnifiedSupplierExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AccountingUnifiedSupplier record);

    int insertSelective(AccountingUnifiedSupplier record);

    List<AccountingUnifiedSupplier> selectByExample(AccountingUnifiedSupplierExample example);

    AccountingUnifiedSupplier selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AccountingUnifiedSupplier record, @Param("example") AccountingUnifiedSupplierExample example);

    int updateByExample(@Param("record") AccountingUnifiedSupplier record, @Param("example") AccountingUnifiedSupplierExample example);

    int updateByPrimaryKeySelective(AccountingUnifiedSupplier record);

    int updateByPrimaryKey(AccountingUnifiedSupplier record);
}